Bug 78533 - (USB)Incombatibility Issues USB
(USB)Incombatibility Issues USB
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
: 78534 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-25 04:55 EST by -M
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description -M 2002-11-25 04:55:56 EST
Description of Problem:

When I have the root usb enabled on the motherboard whether using a ps/2 or usb
mouse I can not start kde it tends to crash while attempting to load the window
manager and all response to the keyboard and mouse is lost causeing me to reboot
uncleanly.

Also under Gnome running xmms while using the Open-Gl spectrum analyzer plugin
or running xine and attempting to move the film forward in the stream or
attempting to adjust anything in the xine control center such as brightness and
sometimes while changing xine themes or playing in fast forward causes the same
issue.

And not related to this release but I was unable to load version 7.3 at all.

NOTE: I always check the md5sums on my CDs.

NOTE: I have also checked for broken packages installed on the system and they
are all ok.

Version-Release number of selected component (if applicable):

Linux version 2.4.18-18.8.0 (bhcompile@daffy.perf.redhat.com) (gcc version 3.2
20020903 (Red Hat Linux 8.0 3.2-7)) #1 Wed Nov 13 23:10:57 EST 2002

Additional Information:

Motherboard is FIC VA-503+ BIOS je4333

This is with usb disabled:

sh-2.05b# dmesg
Linux version 2.4.18-18.8.0 (bhcompile@daffy.perf.redhat.com) (gcc version 3.2
20020903 (Red Hat Linux 8.0 3.2-7)) #1 Wed Nov 13 23:10:57 EST 2002
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000000fff0000 (usable)
 BIOS-e820: 000000000fff0000 - 000000000fff0800 (ACPI NVS)
 BIOS-e820: 000000000fff0800 - 0000000010000000 (ACPI data)
 BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)
255MB LOWMEM available.
On node 0 totalpages: 65520
zone(0): 4096 pages.
zone(1): 61424 pages.
zone(2): 0 pages.
Kernel command line: ro root=LABEL=/ hdd=ide-scsi
ide_setup: hdd=ide-scsi
Initializing CPU#0
Detected 400.913 MHz processor.
Speakup v-1.00 CVS: Tue Jun 11 14:22:53 EDT 2002 : initialized
Console: colour VGA+ 80x25
Calibrating delay loop... 799.53 BogoMIPS
Memory: 253516k/262080k available (1194k kernel code, 6132k reserved, 985k data,
160k init, 0k highmem)
Dentry cache hash table entries: 32768 (order: 6, 262144 bytes)
Inode cache hash table entries: 16384 (order: 5, 131072 bytes)
Mount cache hash table entries: 4096 (order: 3, 32768 bytes)
ramfs: mounted with options: <defaults>
ramfs: max_pages=31945 max_file_pages=0 max_inodes=0 max_dentries=31945
Buffer cache hash table entries: 16384 (order: 4, 65536 bytes)
Page-cache hash table entries: 65536 (order: 6, 262144 bytes)
CPU: Before vendor init, caps: 008021bf 808029bf 00000000, vendor = 2
CPU: L1 I Cache: 32K (32 bytes/line), D cache 32K (32 bytes/line)
CPU: L2 Cache: 256K (32 bytes/line)
CPU: After vendor init, caps: 008021bf 808029bf 00000000 00000002
CPU:     After generic, caps: 008021bf 808029bf 00000000 00000002
CPU:             Common caps: 008021bf 808029bf 00000000 00000002
CPU: AMD-K6(tm) 3D+ Processor stepping 01
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: AMD K6
PCI: PCI BIOS revision 2.10 entry at 0xfb370, last bus=2
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: 00:07.3: class 604 doesn't match header type 00. Ignoring class.
PCI: Using IRQ router VIA [1106/0586] at 00:07.0
Activating ISA DMA hang workarounds.
isapnp: Scanning for PnP cards...
isapnp: Card 'Crystal Codec'
isapnp: 1 Plug & Play card detected total
speakup:  initialized device: /dev/synth, node (MAJOR 10, MINOR 25)
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS version 1.2 Flags 0x07 (Driver version 1.16)
Starting kswapd
VFS: Diskquotas version dquot_6.5.0 initialized
pty: 512 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI ISAPNP enabled
ttyS2 at 0x03e8 (irq = 4) is a 16550A
ttyS3 at 0x02e8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10e
block: 480 slots per queue, batch=120
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: IDE controller on PCI bus 00 dev 39
VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
VP_IDE: VIA vt82c586b (rev 47) IDE UDMA33 controller on pci00:07.1
    ide0: BM-DMA at 0xe000-0xe007, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xe008-0xe00f, BIOS settings: hdc:DMA, hdd:DMA
hda: C/H/S=19618/16/255 from BIOS ignored
hda: Maxtor 34098H4, ATA DISK drive
hdc: ATAPI CDROM, ATAPI CD/DVD-ROM drive
hdd: CR-4804TE, ATAPI CD/DVD-ROM drive
ide2: ports already in use, skipping probe
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: 80043264 sectors (40982 MB) w/2048KiB Cache, CHS=79408/16/63, UDMA(33)
ide-floppy driver 0.99.newide
Partition check:
 hda: hda1 hda2 hda3
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
NET4: Frame Diverter 0.46
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
ide-floppy driver 0.99.newide
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 2048 buckets, 16Kbytes
TCP: Hash tables configured (established 16384 bind 32768)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 126k freed
VFS: Mounted root (ext2 filesystem).
Journalled Block Device driver loaded
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 160k freed
EXT3FS 2.4-0.9.18, 14 May 2002 on ide0(3,2), internal journal
Adding Swap: 524152k swap-space (priority -1)
ad1848/cs4248 codec driver Copyright (C) by Hannu Savolainen 1993-1996
ad1848: WSS/SB detected
ad1848: ISAPnP reports 'WSS/SB' at i/o 0x534, irq 5, dma 1, 3
cs4232: set synthio and synthirq to use the wavefront facilities.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.18, 14 May 2002 on ide0(3,1), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
hdc: ATAPI 4X CD-ROM drive, 128kB Cache
Uniform CD-ROM driver Revision: 3.12
SCSI subsystem driver Revision: 1.00
scsi0 : SCSI host adapter emulation for IDE ATAPI devices
  Vendor: MITSUMI   Model: CR-4804TE         Rev: 3.0D
  Type:   CD-ROM                             ANSI SCSI revision: 02
parport0: PC-style at 0x278 (0x678) [PCSPP,TRISTATE,EPP]
parport0: irq 5 detected
ohci1394: pci_module_init failed
ip_tables: (C) 2000-2002 Netfilter core team
ip_conntrack (2047 buckets, 16376 max)
eepro100.c:v1.09j-t 9/29/99 Donald Becker http://www.scyld.com/network/eepro100.html
eepro100.c: $Revision: 1.36 $ 2000/11/17 Modified by Andrey V. Savochkin
<saw@saw.sw.com.sg> and others
PCI: Found IRQ 9 for device 00:0a.0
IRQ routing conflict for 00:0a.0, have irq 10, want irq 9
divert: allocating divert_blk for eth0
eth0: Intel Corp. 82557/8/9 [Ethernet Pro 100], 00:90:27:A2:CF:AA, IRQ 10.
  Board assembly 721383-007, Physical connectors present: RJ45
  Primary interface chip i82555 PHY #1.
  General self-test: passed.
  Serial sub-system self-test: passed.
  Internal registers self-test: passed.
  ROM checksum self-test: passed (0x04f4518b).
Linux agpgart interface v0.99 (c) Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 203M
agpgart: Detected Via MVP3 chipset
agpgart: AGP aperture is 32M @ 0xe4000000
[drm] Initialized tdfx 1.0.0 20010216 on minor 0


sh-2.05b# cat /proc/pci
PCI devices found:
  Bus  0, device   0, function  0:
    Host bridge: VIA Technologies, Inc. VT82C597 [Apollo VP3] (rev 4).
      Master Capable.  Latency=16.
      Prefetchable 32 bit memory at 0xe4000000 [0xe5ffffff].
  Bus  0, device   1, function  0:
    PCI bridge: VIA Technologies, Inc. VT82C598/694x [Apollo MVP3/Pro133x AGP]
(rev 0).
      Master Capable.  No bursts.  Min Gnt=12.
  Bus  0, device   7, function  0:
    ISA bridge: VIA Technologies, Inc. VT82C586/A/B PCI-to-ISA [Apollo VP] (rev 71).
  Bus  0, device   7, function  1:
    IDE interface: VIA Technologies, Inc. Bus Master IDE (rev 6).
      Master Capable.  Latency=64.
      I/O at 0xe000 [0xe00f].
  Bus  0, device   7, function  3:
    PCI bridge: VIA Technologies, Inc. VT82C586B ACPI (rev 16).
      IRQ 9.
  Bus  0, device  10, function  0:
    Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] (rev 8).
      IRQ 10.
      Master Capable.  Latency=64.  Min Gnt=8.Max Lat=56.
      Non-prefetchable 32 bit memory at 0xe9100000 [0xe9100fff].
      I/O at 0xe800 [0xe83f].
      Non-prefetchable 32 bit memory at 0xe9000000 [0xe90fffff].
  Bus  1, device   0, function  0:
    VGA compatible controller: 3Dfx Interactive, Inc. Voodoo 3 (rev 1).
      IRQ 9.
      Non-prefetchable 32 bit memory at 0xe0000000 [0xe1ffffff].
      Prefetchable 32 bit memory at 0xe6000000 [0xe7ffffff].
      I/O at 0xd000 [0xd0ff].


sh-2.05b# cat /proc/isapnp
Card 1 'CSC4236:Crystal Codec' PnP version 1.0 Product version 0.5
  Logical device 0 'CSC0000:WSS/SB'
    Device is active
    Active port 0x534,0x388,0x220
    Active IRQ 5 [0x2]
    Active DMA 1,3
    Resources 0
      Priority preferred
      Port 0x534-0x534, align 0x3, size 0x4, 16-bit address decoding
      Port 0x388-0x388, align 0x7, size 0x4, 16-bit address decoding
      Port 0x220-0x220, align 0x1f, size 0x10, 16-bit address decoding
      IRQ 5 High-Edge
      DMA 1 8-bit byte-count compatible
      DMA 0,3 8-bit byte-count compatible
      Alternate resources 0:1
        Priority acceptable
        Port 0x534-0xffc, align 0x3, size 0x4, 16-bit address decoding
        Port 0x388-0x388, align 0x7, size 0x4, 16-bit address decoding
        Port 0x220-0x260, align 0x1f, size 0x10, 16-bit address decoding
        IRQ 5,7,2/9,11,12,15 High-Edge
        DMA 1,3 8-bit byte-count compatible
        DMA 0,1,3 8-bit byte-count compatible
      Alternate resources 0:2
        Priority functional
        Port 0x534-0xffc, align 0x3, size 0x4, 16-bit address decoding
        Port 0x388-0x3f8, align 0x7, size 0x4, 16-bit address decoding
        Port 0x220-0x300, align 0x1f, size 0x10, 16-bit address decoding
        IRQ 5,7,2/9,11,12,15 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
  Logical device 1 'CSC0001:GAME'
    Device is not active
    Resources 0
      Priority preferred
      Port 0x200-0x200, align 0x7, size 0x8, 16-bit address decoding
      Alternate resources 0:1
        Priority acceptable
        Port 0x208-0x208, align 0x7, size 0x8, 16-bit address decoding
  Logical device 2 'CSC0010:CTRL'
    Device is not active
    Resources 0
      Priority preferred
      Port 0x120-0xff8, align 0x7, size 0x8, 16-bit address decoding
  Logical device 3 'CSC0003:MPU'
    Device is not active
    Resources 0
      Priority preferred
      Port 0x330-0x330, align 0x7, size 0x2, 16-bit address decoding
      IRQ 2/9 High-Edge
      Alternate resources 0:1
        Priority acceptable
        Port 0x330-0x360, align 0x7, size 0x2, 16-bit address decoding
        IRQ 2/9,11,12,15 High-Edge
      Alternate resources 0:2
        Priority functional
        Port 0x330-0x3e0, align 0x7, size 0x2, 16-bit address decoding


And yes the problem existed with prior kernels.

Hopefully I am in the right place.
Comment 1 -M 2002-11-26 00:18:54 EST
*** Bug 78534 has been marked as a duplicate of this bug. ***
Comment 2 -M 2002-11-30 23:28:14 EST
Opps Looks like it uses i686.
Comment 3 -M 2002-12-02 19:36:29 EST
Then again perhaps not?

sh-2.05b# uname -a
Linux localhost.localdomain 2.4.18-18.8.0 #1 Wed Nov 13 23:10:57 EST 2002 i586
i586 i386 GNU/Linux

I thought it was since when I do make oldconfig it appears that it is using i686.

Anyway. *SIGH*
Comment 4 Alan Cox 2003-06-08 15:36:10 EDT
*** Bug 78534 has been marked as a duplicate of this bug. ***
Comment 5 Pete Zaitcev 2003-06-24 17:06:47 EDT
Does the errata kernel 2.4.20-18.8 help?
Comment 6 Bugzilla owner 2004-09-30 11:40:14 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.